android studio emulator error after upgrade to f28

asked 2018-04-10 12:40:36 -0500

rudrab gravatar image

updated 2018-05-31 05:35:58 -0500

FranciscoD_ gravatar image

Hi, In f27, android-studio 3.0 and 3.1 was working fine including the emulator. I have recently upgraded to f28 and now, I am getting error while starting the AVD (nexus 5x).

The errors are:

Emulator: libGL error: failed to load driver: swrast 
Emulator: Process finished with exit code 139 (interrupted by signal 11: SIGSEGV)

I have checked many options, but nothing solves the problem. Any idea please?

edit retag flag offensive close merge delete

Comments

Try -use-system-libs switch, or if using Android Studio try adding export ANDROID_EMULATOR_USE_SYSTEM_LIBS=1 to your ~/.bashrc file. I was getting the above error plus some others about missing i965_dri.so - using system libs fixed it for me.

porjo gravatar imageporjo ( 2018-05-02 09:26:20 -0500 )edit